package com.ecnu.platform.service

import com.three.common.vo.SelectOption
import com.three.data_api.dm.annos.BizApiMethod
import com.three.data_api.dm.constants.ThreeConstant
import com.three.data_api.dm.entity.AuqResult
import com.three.data_api.service.impl.BaseEntityServiceImpl

class AlgDefinitionService extends BaseEntityServiceImpl {

    private static final String EN_AlgDefinition = "AlgDefinition"

    @Override
    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "查询实体ID")
    String getEntityId(Map<String, Object> map) {
        return EN_AlgDefinition;
    }

    @Override
    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "查询算法定义")
    AuqResult query(Map<String, Object> map) throws Exception {
        return super.query(map)
    }

    @Override
    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "查询算法定义下拉框")
    List<SelectOption> getSelectOptions(Map<String, Object> map) throws Exception {
        return super.getSelectOptions(map)
    }

    @Override
    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "新增算法定义")
    void create(Map<String, Object> map) throws Exception {
        super.create(map)
    }

    @Override
    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "修改算法定义")
    void update(Map<String, Object> map) throws Exception {
        super.update(map)
    }

    @Override
    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "删除算法定义")
    void delete(Map<String, Object> map) throws Exception {
        super.delete(map)
    }

    @Override
    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "恢复算法定义")
    void recover(Map<String, Object> map) throws Exception {
        super.recover(map)
    }
}
